<div *ngIf="data">

  <div *ngIf="txState == 'PENDING_CONFIRMATION'">

    <div class="confirm-modal-head p-4">

      <div class="flex justify-between items-center mb-4">
        <h1 mat-dialog-title class="mb-0">Confirm Supply</h1>
        <div mat-dialog-actions>
          <button mat-icon-button aria-label="Close Dialog" (click)="closeDialog()" mat-dialog-close>
            <mat-icon>close</mat-icon>
          </button>
        </div>
      </div>

      <div *ngIf="data.poolTypeOption === 'SYM' || data.poolTypeOption === 'ASYM_ASSET'" class="flex justify-between transaction-detail">

        <div class="flex items-center">
          <div class="asset-icon-container flex items-center mr-4">
            <img *ngIf="data.asset && data.asset.iconPath" [src]="data.asset.iconPath" appImgFallback />
            <mat-icon *ngIf="!data.asset || !data.asset.iconPath">help_outline</mat-icon>
          </div>
          <span class="text-xl mr-2">{{data.assetAmount}}</span>
        </div>

        <span>{{data.asset.ticker}}</span>
      </div>

      <div *ngIf="data.poolTypeOption === 'SYM'" class="flex">
        <mat-icon class="to-btn-icon disabled ml-1 mb-4 text-sm">add</mat-icon>
      </div>

      <div *ngIf="data.poolTypeOption === 'SYM' || data.poolTypeOption === 'ASYM_CACAO'" class="flex justify-between transaction-detail">

        <div class="flex items-center">
          <div class="asset-icon-container flex items-center mr-4">
            <img *ngIf="data.cacao && data.cacao.iconPath" [src]="data.cacao.iconPath" appImgFallback />
            <mat-icon *ngIf="!data.cacao || !data.cacao.iconPath">help_outline</mat-icon>
          </div>
          <span class="text-xl mr-2">{{data.cacaoAmount}}</span>
        </div>


        <span>{{data.cacao.ticker}}</span>

      </div>

      <span class="italic text-gray-300 text-xs">Output is estimated.</span>

    </div>

    <div class="clear-both">
      <div mat-dialog-content class="confirm-modal-content">

        <div>

          <div class="flex justify-between mb-2">
            <div class="tx-detail-label flex items-end">
              Estimated Tx Time
              <mat-icon style="transform: scale(.6)" matTooltip="Estimated Confirmation Time is the time it will take for MayaChain to process your transaction.">info</mat-icon>
            </div>
            <div class="flex items-end"><{{estimatedMinutes}} min</div>
          </div>

          <div class="flex justify-between mb-2">
            <span class="tx-detail-label">Rates</span>
            <span>1 {{data.cacao.ticker}} = {{data.assetBasePrice | number:"1.2-4"}} {{data.asset.ticker}}</span>
          </div>

          <div class="flex justify-between mb-2">
            <span class="tx-detail-label"></span>
            <span>1 {{data.asset.ticker}} = {{data.cacaoBasePrice | number:"1.2-4"}} {{data.cacao.ticker}}</span>
          </div>

          <div *ngIf="(data.poolTypeOption === 'SYM' || data.poolTypeOption === 'ASYM_ASSET') && data.estimatedFee" class="flex justify-between mb-2">
            <span class="tx-detail-label">Fees</span>
            <span>{{data.estimatedFee | number:"0.0-4"}} {{data.asset.ticker}}</span>
          </div>

          <div *ngIf="(data.poolTypeOption === 'SYM' || data.poolTypeOption === 'ASYM_CACAO') && data.cacaoFee" class="flex justify-between mb-2">
            <span class="tx-detail-label"></span>
            <span>{{data.cacaoFee | number:"0.0-2"}} CACAO</span>
          </div>

        </div>

        <div *ngIf="loading" style="height: 56px;" class="flex justify-center items-center w-full mt-4">
          <mat-progress-spinner mode="indeterminate" diameter="30"></mat-progress-spinner>
        </div>

        <button *ngIf="!loading" (click)="submitTransaction()" mat-flat-button color="primary" class="main-action-btn w-full" [disabled]="insufficientChainBalance">
          <span *ngIf="!insufficientChainBalance">Confirm Deposit</span>
          <span *ngIf="insufficientChainBalance">Insufficient {{data.asset.chain}}</span>
        </button>

      </div>

    </div>

  </div>

  <app-transaction-ledger-confirm-modal *ngIf="txState == 'PENDING_LEDGER_CONFIRMATION'"></app-transaction-ledger-confirm-modal>

  <app-transaction-processing-modal
    *ngIf="txState == 'SUBMITTING'"
    transactionDetail="Depositing into {{data.asset.ticker}} pool"
    (closeDialog)="closeDialog()">
  </app-transaction-processing-modal>

  <app-transaction-success-modal
    *ngIf="txState === 'SUCCESS'"
    [chain]="data.asset.chain"
    [hash]="hash"
    (closeDialog)="closeDialog(true)">
  </app-transaction-success-modal>

  <div class="flex flex-col items-center p-8 text-sm" *ngIf="txState === 'ERROR'">
    <mat-icon>warning</mat-icon>
    <span class="mt-4">
      {{error}}
    </span>
  </div>

  <app-retry-cacao-deposit *ngIf="txState === 'RETRY_CACAO_DEPOSIT'"
                           [asset]="data.asset"
                           [assetAmount]="data.assetAmount"
                           [cacaoAmount]="data.cacaoAmount"
                           [user]="data.user"
                           [errorMessage]="error"
                           (retrySuccess)="cacaoDepositSuccess($event)"
                           (withdrawSuccess)="withdrawSuccess($event)"
                           (closeModal)="closeDialog()">
  </app-retry-cacao-deposit>

</div>
